Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.nativewindow.awt
Class AWTGraphicsScreen

    java.lang.Object
      javax.media.nativewindow.DefaultGraphicsScreen
          javax.media.nativewindow.awt.AWTGraphicsScreen

All Implemented Interfaces:
  Cloneable, AbstractGraphicsScreen

    public class AWTGraphicsScreen

extends DefaultGraphicsScreen
implements Cloneable

A wrapper for an AWT GraphicsDevice (screen) allowing it to be handled in a toolkit-independent manner.

Constructor Summary
`AWTGraphicsScreen(AWTGraphicsDevice device)`

Method Summary
`Object` | `clone()`
`static AbstractGraphicsScreen` | `createDefault()`
`static AbstractGraphicsScreen` | `createScreenDevice(GraphicsDevice awtDevice)`
`static AbstractGraphicsScreen` | `createScreenDevice(int index)`
`static int` | `findScreenIndex(GraphicsDevice awtDevice)`
`static GraphicsDevice` | `getScreenDevice(int index)`

Methods inherited from class javax.media.nativewindow.DefaultGraphicsScreen
`getDevice, getIndex, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AWTGraphicsScreen

    public AWTGraphicsScreen(AWTGraphicsDevice device)

Method Detail

### getScreenDevice

    public static GraphicsDevice getScreenDevice(int index)

### findScreenIndex

    public static int findScreenIndex(GraphicsDevice awtDevice)

### createScreenDevice

    public static AbstractGraphicsScreen createScreenDevice(GraphicsDevice awtDevice)

### createScreenDevice

    public static AbstractGraphicsScreen createScreenDevice(int index)

### createDefault

    public static AbstractGraphicsScreen createDefault()

### clone

    public Object clone()

  Overrides:
    `clone` in class `DefaultGraphicsScreen`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.